mav_SMSIntersectBB(3)

NAME
mav_SMSIntersectBB - Intersect an SMS with a BB.

LEVEL
Maverik Level 2

SYNTAX
int mav_SMSIntersectBB(MAV_window *w, MAV_SMS *sms, MAV_BB bb, MAV_SMS *objs);

ARGUMENTS
Window. The SMS. BB for intersection test. The intersected objects (if any).

DESCRIPTION
The function intersects all objects in the given SMS with BB bb. If an intersection is detected, the function returns MAV_TRUE, otherwise MAV_FALSE. Object which intersect the BB are added to SMS objs.